package com.zehong.system.domain;
import com.zehong.common.core.domain.BaseEntity;

public class PipeDate extends BaseEntity {

    private String pipeId;

    private String pipeya;

    private String pipeDiameter;

    private String pipeMaterial;

    private String pipeDepth;

    private String pipeTrend;

    private String buildyear;

    private String buildCompany;

    private String powerCompany;

    private String type;

    private String pipeAddr;

    private String path;

    private String pipeLength;

    private String pipeType;

    private int pipePressure;

    private String iconUrl;

    private String installationTime;

    private String inspectionTime;

    private int companyType;

    private int iconType;



    public String getPipeId() {
        return pipeId;
    }

    public void setPipeId(String pipeId) {
        this.pipeId = pipeId;
    }

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public int getCompanyType() {
        return companyType;
    }

    public void setCompanyType(int companyType) {
        this.companyType = companyType;
    }

    public String getPipeya() {
        return pipeya;
    }

    public void setPipeya(String pipeya) {
        this.pipeya = pipeya;
    }

    public String getPipeDiameter() {
        return pipeDiameter;
    }

    public void setPipeDiameter(String pipeDiameter) {
        this.pipeDiameter = pipeDiameter;
    }

    public String getPipeMaterial() {
        return pipeMaterial;
    }

    public void setPipeMaterial(String pipeMaterial) {
        this.pipeMaterial = pipeMaterial;
    }

    public String getPipeDepth() {
        return pipeDepth;
    }

    public void setPipeDepth(String pipeDepth) {
        this.pipeDepth = pipeDepth;
    }

    public String getPipeTrend() {
        return pipeTrend;
    }

    public void setPipeTrend(String pipeTrend) {
        this.pipeTrend = pipeTrend;
    }

    public String getBuildyear() {
        return buildyear;
    }

    public void setBuildyear(String buildyear) {
        this.buildyear = buildyear;
    }

    public String getBuildCompany() {
        return buildCompany;
    }

    public void setBuildCompany(String buildCompany) {
        this.buildCompany = buildCompany;
    }

    public String getPowerCompany() {
        return powerCompany;
    }

    public void setPowerCompany(String powerCompany) {
        this.powerCompany = powerCompany;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPipeAddr() {
        return pipeAddr;
    }

    public void setPipeAddr(String pipeAddr) {
        this.pipeAddr = pipeAddr;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPipeLength() {
        return pipeLength;
    }

    public void setPipeLength(String pipeLength) {
        this.pipeLength = pipeLength;
    }

    public String getPipeType() {
        return pipeType;
    }

    public void setPipeType(String pipeType) {
        this.pipeType = pipeType;
    }

    public int getPipePressure() {
        return pipePressure;
    }

    public void setPipePressure(int pipePressure) {
        this.pipePressure = pipePressure;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public String getInstallationTime() {
        return installationTime;
    }

    public void setInstallationTime(String installationTime) {
        this.installationTime = installationTime;
    }

    public String getInspectionTime() {
        return inspectionTime;
    }

    public void setInspectionTime(String inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    @Override
    public String toString() {
        return "PipeDate{" +
                "pipeId='" + pipeId + '\'' +
                ", pipeya='" + pipeya + '\'' +
                ", pipeDiameter='" + pipeDiameter + '\'' +
                ", pipeMaterial='" + pipeMaterial + '\'' +
                ", pipeDepth='" + pipeDepth + '\'' +
                ", pipeTrend='" + pipeTrend + '\'' +
                ", buildyear='" + buildyear + '\'' +
                ", buildCompany='" + buildCompany + '\'' +
                ", powerCompany='" + powerCompany + '\'' +
                ", type='" + type + '\'' +
                ", pipeAddr='" + pipeAddr + '\'' +
                ", path='" + path + '\'' +
                ", pipeLength='" + pipeLength + '\'' +
                ", pipeType='" + pipeType + '\'' +
                ", pipePressure=" + pipePressure +
                ", iconUrl='" + iconUrl + '\'' +
                ", installationTime='" + installationTime + '\'' +
                ", inspectionTime='" + inspectionTime + '\'' +
                ", companyType=" + companyType +
                ", iconType=" + iconType +
                '}';
    }
}
